Twitter Twitter Apps Contact

14 oct. 2004

A call to all Wordpress users

For a while now my RSS aggregator wasn’t reading Wordpress feeds anymore, and I didn’t understand why (not that I tried to, either).

Today I got tired of it, installed Wordpress on my server, and found what was wrong: a typo. Wordpress sends a misnamed header, and the .NET runtime (upon which 90% of RSS aggregators rely on PC) has become very picky with the latest security updates, and it just plain rejects the file.

So, if you have Wordpress, and you want to be read (at least by me), you must edit the wp-blog-header.php file, replacing “Last Modified:” with “Last-Modified:” (ie, inserting an hyphen) on line 87.

And that’s all.

I have trouble understanding why a security patch would need to reject any erroneous header rather than just ignore it, but… well, I also have trouble understanding how one could work for Microsoft, so the whole thing’s just obviously beyond my comprehension.

 

Archives

2001   01   02   03   04   05   06   07   08   09   10   11   12  

2002   01   02   03   04   05   06   07   08   09   10   11   12  

2003   01   02   03   04   05   06   07   08   09   10   11   12  

2004   01   02   03   04   05   06   07   08   09   10   11   12  

2005   01   02   03   04   05   06   07   08   09   10   11   12  

2006   01   02   03   04   05   06   07   08   09   10   11   12  

2007   01   02   03   04   05   06   07   08   09   10   11   12  

2008   01   02   03   04   05   06   07   08   09   10   11   12  

2009   01   02   03   04   05   06   07   08   09   10   11   12  

2010   01   02   03   04   05   06   07   08   09   10   11   12  

2011   01   02   03   04   05   06   07   08   09   10   11   12  

2012   01   02   03   04   05   06   07   08   09   10   11   12  

2013   01   02   03   04   05   06   07   08   09   10   11   12  

2014   01   02   03   04   05   06   07   08   09   10   11   12